Subject: Re: linux-next: build failure after merge of the printk tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Jul 2020 12:21:52 +1000

Hi Herbert,

On Tue, 28 Jul 2020 11:51:19 +1000 Herbert Xu <[email-masked]> wrote:
>
> This patch depends on two patches in the tips tree.  I presume
> this build test was done without the tips tree, right?

Of course it was ...

Each tree merged into linux-next should really be standalone (in case
e.g. Linus does not take the other tree).  So to do what you want, you
need those other 2 commits to be in a separate branch that both the tip
tree and the printk tree can merge.
-- 
Cheers,
Stephen Rothwell